# 端口
mixed-port: 7890
allow-lan: false
mode: rule
log-level: info

# 外部控制面板
external-controller: 127.0.0.1:9090
secret: ""

# DNS
dns:
  enable: true
  listen: 0.0.0.0:53
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  nameserver:
    - 114.114.114.114
    - 223.5.5.5

# 订阅（这里填你的机场链接）
proxy-providers:
  my-sub:
    type: http
    url: "https://你的机场订阅链接"  # ← 改成你的真实订阅
    interval: 3600
    path: ./my-sub.yaml
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 60

# 代理组
proxy-groups:
  - name: "auto"
    type: url-test
    use:
      - my-sub
    url: "http://www.gstatic.com/generate_204"
    interval: 300

  - name: "Proxy"
    type: select
    proxies:
      - auto

# 分流规则
rules:
  - GEOIP,CN,DIRECT
  - MATCH,Proxy
